NativePlatform (Gradle API 2.10)
Date: 2015-12-21

Package: org.gradle.nativeplatform.platform

## [Java] Interface NativePlatform

- org.gradle.nativeplatform.platform.NativePlatform

- All Superinterfaces:
    Named, Platform

  A target platform for building native binaries. Each target platform is given a name, and may optionally be given a specific Architecture and/or OperatingSystem to target.

           model {
               platforms {
                   windows_x86 {
                       architecture "i386"
                       operatingSystem "windows"
                   }
               }
           }

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `architecture(String name)` Sets the cpu architecture being targeted.
    `Architecture` | `getArchitecture()` The cpu architecture being targeted.
    `OperatingSystem` | `getOperatingSystem()` The operating system being targeted.
    `void` | `operatingSystem(String name)` Sets the operating system being targeted.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Platform` | `getDisplayName`
    `interface Named` | `getName`

- - ### Method Detail

    - #### public void architecture(String name)

      Sets the cpu architecture being targeted.

      The architecture is provided as a string name, which is translated into one of the supported architecture types.

      See Also:
        Supported notations.

    - #### public Architecture getArchitecture()

      The cpu architecture being targeted. Defaults to the default architecture produced by the tool chain.

    - #### public OperatingSystem getOperatingSystem()

      The operating system being targeted. Defaults to the default operating system targeted by the tool chain (normally the current operating system).

    - #### public void operatingSystem(String name)

      Sets the operating system being targeted.

      The operating system is provided as a string name, which is translated into one of the supported operating system types.

      See Also:
        Supported notations.